<template>
  <ai-list class="notice" isTabs>
    <template slot="content">
      <ai-search-bar class="search-bar">
        <template #left>
          <el-button size="small" type="primary" icon="iconfont iconAdd" @click="toAdd('')">添加</el-button>
        </template>
        <template #right>
          <el-input
            v-model="search.title"
            class="search-input"
            size="small"
            @keyup.enter.native="search.current = 1, search.title, getList()"
            placeholder="请输入标题"
            clearable
            @clear="search.current = 1, search.title = '', getList()"
            suffix-icon="iconfont iconSearch">
          </el-input>
        </template>
      </ai-search-bar>
      <ai-table
        :tableData="tableData"
        :col-configs="colConfigs"
        :total="total"
        style="margin-top: 6px;"
        :current.sync="search.current"
        :size.sync="search.size"
        @getList="getList">
        <el-table-column slot="options" width="140px" fixed="right" label="操作" align="center">
          <template slot-scope="{ row }">
            <div class="table-options">
              <el-button type="text" @click="toAdd(row.id)">编辑</el-button>
              <el-button type="text" @click="remove(row.id)">删除</el-button>
            </div>
          </template>
        </el-table-column>
      </ai-table>
    </template>
  </ai-list>
</template>

<script>
  import { mapState } from 'vuex'
  export default {
    name: 'JobList',

    props: {
      instance: Function,
      dict: Object
    },

    data() {
      return {
        search: {
          current: 1,
          size: 10,
          title: ''
        },
        currIndex: -1,
        areaList: [],
        total: 10,
        colConfigs: [
          { prop: 'title',  label: '标题', align: 'left', width: '200px' },
          { prop: 'linkPhone', label: '联系方式', align: 'center' },
          { prop: 'createUserName', label: '发布人', align: 'center' },
          { prop: 'createTime', label: '发布时间', align: 'center' },
          { slot: 'options', label: '操作', align: 'center' }
        ],
        areaName: '',
        unitName: '',
        tableData: []
      }
    },

    computed: {
      ...mapState(['user'])
    },

    mounted() {
      this.getList()
    },

    methods: {
      getList() {
        this.instance.post(`/app/appjob/list`, null, {
          params: {
            ...this.search,
            type: 1
          }
        }).then(res => {
          if (res.code == 0) {
            this.tableData = res.data.records
            this.total = res.data.total
          }
        })
      },

      remove(id) {
        this.$confirm('确定删除该数据？').then(() => {
          this.instance.post(`/app/appjob/delete?id=${id}`).then(res => {
            if (res.code == 0) {
              this.$message.success('删除成功！')
              this.getList()
            }
          })
        })
      },

      toAdd(id) {
        this.$emit('change', {
          type: 'AddJob',
          params: {
            id: id || ''
          }
        })
      }
    }
  }
</script>

<style lang="scss" scoped>
  .notice {
  }
</style>
